<?php

namespace backend\modules\project\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\project\models\ProjectMark;

/**
 * ProjectMarkSearch represents the model behind the search form of `backend\modules\project\models\ProjectMark`.
 */
class ProjectMarkSearch extends ProjectMark
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'project_id', 'mark_id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = ProjectMark::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'project_id' => $this->project_id,
            'mark_id' => $this->mark_id,
        ]);

        return $dataProvider;
    }
}
